# Welcome to the contributing overview for Ghost!

For **help**, **support** and **questions** please use **[slack](https://slack.ghost.org)**  🚑.

---

If you're [raising a bug](https://docs.ghost.org/v1.0.0/docs/contributing#bugs) 🐛 please be sure to [include as much info as possible](https://docs.ghost.org/v1.0.0/docs/contributing#bug-template) so that we can fix it!
 
---

If you've **got some code** ✨ you want to [pull request](https://docs.ghost.org/v1.0.0/docs/contributing#pull-requests) please use this [commit message format](https://docs.ghost.org/v1.0.0/docs/git-workflow#section-notes-on-writing-good-commit-messages) and check it passes the tests by running `grunt validate`. Thanks for helping us make Ghost better.
 
---
 
**Our [Full Contributor Guide](https://docs.ghost.org/v1.0.0/docs/contributing)** covers everything you'll need to get started as a contributor 😁


*Quick Links:*
- [slack community](https://slack.ghost.org)
- [user documentation](https://help.ghost.org)
- [themes documentation](https://themes.ghost.org)
- [api documentation](https://api.ghost.org)
- [self-hoster guide](http://docs.ghost.org/v1.0.0/)
- [feature roadmap](https://trello.com/b/EceUgtCL/ghost-roadmap)
- [feature wishlist](http://ideas.ghost.org)
- [community guidelines](https://ghost.org/conduct/)
- [dev blog](http://dev.ghost.org)

---

## Contributor License Agreement

By contributing your code to Ghost you grant the Ghost Foundation a non-exclusive, irrevocable, worldwide, royalty-free, sublicenseable, transferable license under all of Your relevant intellectual property rights (including copyright, patent, and any other rights), to use, copy, prepare derivative works of, distribute and publicly perform and display the Contributions on any licensing terms, including without limitation:
(a) open source licenses like the MIT license; and (b) binary, proprietary, or commercial licenses. Except for the licenses granted herein, You reserve all right, title, and interest in and to the Contribution.

You confirm that you are able to grant us these rights. You represent that You are legally entitled to grant the above license. If Your employer has rights to intellectual property that You create, You represent that You have received permission to make the Contributions on behalf of that employer, or that Your employer has waived such rights for the Contributions.

You represent that the Contributions are Your original works of authorship, and to Your knowledge, no other person claims, or has the right to claim, any right in any invention or patent related to the Contributions. You also represent that You are not legally obligated, whether by entering into an agreement or otherwise, in any way that conflicts with the terms of this license.

The Ghost Foundation acknowledges that, except as explicitly described in this Agreement, any Contribution which you provide is on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE.
